Deutsche Anleitung

Eines der besten Programme zur Überprüfung von MP3-Songs auf Fehler.
Zusätzlich hat es noch einige weitere Features siehe weiter unten.

Abonnieren Sie jetzt unseren Newsletter: http://groups.yahoo.com/group/mp3test/

CheckMP3-Routine von maf-soft, grafische Oberfläche von Markus Stein

In der Liste "Beschädigte Dateien" werden alle MP3-Files aufgelistet, welche fehlerhaft sind. Ebenso wird der Fehleranteil in % angezeigt, sowie die Dateigröße, der genaue Pfad der Datei und die Qualität des Songs. Natürlich wird der Fehleranteil auch grafisch dargestellt. Blau steht für gut, rot für schlecht. D.h. je mehr rot, desto schlechter bzw. fehlerhafter das Lied/die Datei.
Direkt aus dieser Ansicht hat man dann auch noch die Möglichkeiten, das Lied direkt anzuhören (Doppelklick/Enter), gleich das Lied zu löschen, vorerst zu verschieben, die Liste der defekten Songs in die Zwischenablage zu kopieren, in Excel zu exportieren oder nähere Infos zu einem Song anzuzeigen (Alt+Enter). Ähnliches gilt für die Liste der fehlerfreien Songs.

Dort gibt es allerdings noch ein weiteres Symbol. Blau mit einem grünen Stern. Dies steht dafür, dass das Lied sogar einen CRC-Check enthält und dieser einwandfrei ist. D.h. das Lied ist mehr als okay. Es befindet sich in bester Qualität!

Die Spalten der Liste sind komplett anpassbar. Es ist möglich, Spalten hinzuzufügen, zu entfernen und zu verschieben. Zudem kann man die Liste auch individuell sortieren lassen.

Die Optionen

Dort kann man einstellen, dass alle fehlerfreien Songs in ein bestimmtes Verzeichnis verschoben werden sollen oder alle Fehlerhaften.
Auch lassen sich die defekten Songs einfach in ein Unterverzeichnis des aktuell gescannten verschieben. Dies ist manchmal sehr geschickt, da dabei die Verzeichnisstruktur (z.B. bei Alben) nicht verloren geht.
Wer natürlich keine fehlerhaften Songs haben will, kann auch gleich diese löschen lassen.

Manche meinen, dass Lieder die 0,07% Fehler enthalten dennoch voll ihren Bedürfnissen entsprechen, können unter "Ignoriere mit Fehler weniger als" den entsprechenden Prozentualen maximalen Fehleranteil einstellen (Auch Kommazahlen sind möglich).

Durch das Aktivieren der Funktion "Nullbytes suchen" werden in den MP3s auch Blöcke gesucht die nur aus Nullen bestehen. Dies können Fehler sein, müssen aber nicht. (totale Stille sind Nullen)

Bei Aktivierung der Funktion "in Systray minimieren" wird MP3Test automatisch in den Systray minimiert, statt in die Taskleiste. Das Icon ist zudem grafisch der Fortschrittsbalken beim Überprüfen.

Die monatliche Überprüfung auf Updates kann hier auch bequem deaktiviert werden.

Um dem Scan-Prozess eine höhere oder niedrigere Priorität zu geben, kann die Priorität unter "CPU Priorität ausgewählt werden". Diese betrifft aber nur den eigentlichen Scan-Prozess.

Dateierweiterung Registrieren bedeutet, dass Sie dann ab sofort die MP3-Files durch einen Rechtsklick im Explorer direkt über den Menüpunkt "MP3Test Check" überprüfen lassen können.

Dateierweiterung Entfernen entfernt diesen Eintrag wieder.


English Manual

One of the best Applications to check MP3 Songs for errors.
More features see below.

Join our Support-Group/Newsletter: http://groups.yahoo.com/group/mp3test/

CheckMP3-Routine by maf-soft, graphical user interface by Markus Stein

All damaged MP3s will be listed in the tab "Damaged Songs". Also you can see the error percentage of each song, the filesize, the complete path where the file resides and the quality of this song.
The error percentage is shown in a small bar chart on the left side of each songname. Red stands for damaged, blue for error free.
So far, the more red you can see, the more errors your song contains.
Directly from this view you can start listening the song (by double click, enter or rightclick and the popup-menu), delete the file, move it, copy a list of all files listed here into the clipboard, export them to Excel or see some more details about a song (Alt+Return).
The same applies for the Error-Free-List.

But there exists another icon. It's blue with a green star. This symbol tells you that your song is in best quality, because there could also been made a crc check, which resulted that this song is in superior quality!

The columns of the list are completely customizeable. You can add colums, remove columns and move them. At least the lists support sorting. You can sort ascending and descending in all columns.

The Options Dialog

There you're able to select that all error-free songs should be moved to a specified directory (move ok to:) or all damaged songs should be moved to any directory. You can either move all to a specified directory or just to a subdirectory of the current you're scanning.
This is sometimes very good, because the directory structure won't be lost (especially good for albums)
For the ones who hate damaged songs, I implemented a feature to delete them directly without question.

Some think that songs with 0,07% errors are good enough for them, so they can set a limit to take songs for good (Ignore files with errors less than)

If you want to scan for blocks with zero bytes (these are blocks which contain just zeroes (000...)) you should enable this option. But sometimes there's total silence in a song, these are zeroes, too!!

You can allow MP3Test to minimize itself to the systray instead of the taskbar by activating "Minimize to Systray". Additionally you'll see a process bar there.

MP3Test asks you each month to check for a new version. If you want to disable this, remove the check on "check for new version monthly".

To have more control on the cpu usage, you can set the priority of the scan process. This is only the priority during the scan process.

Integrate into Shell means that you can access MP3Test by the context menu in the explorer (just for MP3-files).

Remove from Shell removes this entry from your context menu.


Kontakt

http://www.maf-soft.de/
mp3test@maf-soft.de

Homepage von MP3Test:
http://www.maf-soft.de/mp3test/

Autor der Grafischen Oberfläche/Author of the GUI:
Shivan@Freenet.de


Shareware

Die Shareware-Version von MP3Test können Sie bis zu 30 Tage lang kostenlos testen.

Wenn Sie MP3Test danach weiterhin verwenden möchten, müssen Sie eine Registriergebühr bezahlen.
Sie bekommen dann eine auf Ihren Namen registrierte Version ohne diesen Shareware-Hinweis.
Im Preis inbegriffen sind alle zukünftigen Updates und natürlich bevorzugte Behandlung bei Support-Anfragen oder Verbesserungsvorschlägen.

Registrieren Sie sich noch heute. Details, aktuelle Preise und mögliche Nachlässe erfahren Sie hier

You can evaluate the shareware version up to 30 days for free.

If you want to continue using this application after that period, you must register it.
Then you'll get a version registered to your name without this nag screen.
The registration fee includes all future updates and, of course, preferred support.

Register today - visit the following site for more information about registration,
current pricing and possible discounts.
here